# Uses of Interface
java.lang.classfile.constantpool.DoubleEntry

Packages that use DoubleEntry
Package
Description
java.lang.classfile
Provides classfile parsing, generation, and transformation library.
java.lang.classfile.constantpool
Provides interfaces describing constant pool entries for the `java.lang.classfile` library.

## Uses of DoubleEntry in java.lang.classfile

Methods in java.lang.classfile that return DoubleEntry
Modifier and Type
Method
Description
`DoubleEntry`
AnnotationValue.OfDouble.`constant()`
Returns the backing double entry.
Methods in java.lang.classfile with parameters of type DoubleEntry
Modifier and Type
Method
Description
`static AnnotationValue.OfDouble`
AnnotationValue.`ofDouble(DoubleEntry value)`
Returns a double value for an element-value pair.

## Uses of DoubleEntry in java.lang.classfile.constantpool

Methods in java.lang.classfile.constantpool that return DoubleEntry
Modifier and Type
Method
Description
`DoubleEntry`
ConstantPoolBuilder.`doubleEntry(double value)`
Returns a `DoubleEntry` describing the provided value.